# ESP8266 Thermometer with OLED display

![thermometer](images/thermometer.jpg)

## Hardware
- ESP-12F, WiFi Module Based on ESP8266 (preferrably with breakout board)
- SSD1306 128 x 64 Dot Matrix OLED with Controller
- DS1820 parasitic power 1-Wire temperature sensor

## Features
- Connects to Wifi
- Gets outside temperature via openweathermap
- Gets inside temperature via DS1820 temperature sensor
- Plots both temperatures against each other
- Handles Wifi and service outages gracefully
- Handles possible collisions of temperature labels

## Images
![ESP breakout board](images/board.jpg)
![display module](images/display.jpg)
![plot](images/plot.jpg)
![outage](images/outage.jpg)
